1. Packages
  2. Packages
  3. Bytepluscc Provider
  4. API Docs
  5. rdsmysql
  6. getAllowList
Viewing docs for bytepluscc v0.0.25
published on Thursday, May 7, 2026 by Byteplus
bytepluscc logo
Viewing docs for bytepluscc v0.0.25
published on Thursday, May 7, 2026 by Byteplus

    Data Source schema for Byteplus::RDSMySQL::AllowList

    Using getAllowList

    Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.

    function getAllowList(args: GetAllowListArgs, opts?: InvokeOptions): Promise<GetAllowListResult>
    function getAllowListOutput(args: GetAllowListOutputArgs, opts?: InvokeOptions): Output<GetAllowListResult>
    def get_allow_list(id: Optional[str] = None,
                       opts: Optional[InvokeOptions] = None) -> GetAllowListResult
    def get_allow_list_output(id: pulumi.Input[Optional[str]] = None,
                       opts: Optional[InvokeOptions] = None) -> Output[GetAllowListResult]
    func LookupAllowList(ctx *Context, args *LookupAllowListArgs, opts ...InvokeOption) (*LookupAllowListResult, error)
    func LookupAllowListOutput(ctx *Context, args *LookupAllowListOutputArgs, opts ...InvokeOption) LookupAllowListResultOutput

    > Note: This function is named LookupAllowList in the Go SDK.

    public static class GetAllowList 
    {
        public static Task<GetAllowListResult> InvokeAsync(GetAllowListArgs args, InvokeOptions? opts = null)
        public static Output<GetAllowListResult> Invoke(GetAllowListInvokeArgs args, InvokeOptions? opts = null)
    }
    public static CompletableFuture<GetAllowListResult> getAllowList(GetAllowListArgs args, InvokeOptions options)
    public static Output<GetAllowListResult> getAllowList(GetAllowListArgs args, InvokeOptions options)
    
    fn::invoke:
      function: bytepluscc:rdsmysql/getAllowList:getAllowList
      arguments:
        # arguments dictionary

    The following arguments are supported:

    Id string
    Uniquely identifies the resource.
    Id string
    Uniquely identifies the resource.
    id String
    Uniquely identifies the resource.
    id string
    Uniquely identifies the resource.
    id str
    Uniquely identifies the resource.
    id String
    Uniquely identifies the resource.

    getAllowList Result

    The following output properties are available:

    AllowListCategory string
    Allowlist category. Values: Ordinary: Ordinary allowlist. Default: Default allowlist. Note: When used as a request parameter, the default value is Ordinary.
    AllowListDesc string
    Allowlist remarks.
    AllowListId string
    Allowlist ID.
    AllowListIpNum int
    Total number of IP addresses (or ranges) in the allowlist.
    AllowListName string
    Allowlist name.
    AllowListType string
    IP address types in the allowlist. Only IPv4 addresses are currently supported.
    AllowLists List<string>
    IP address list in the allowlist
    AssociatedInstanceNum int
    Total number of instances bound to the allowlist.
    AssociatedInstances List<Byteplus.GetAllowListAssociatedInstance>
    Instance information bound to the current allowlist.
    Id string
    Uniquely identifies the resource.
    IgnoreInstanceStatus bool
    Ignore instance status check. Values: true: Yes. false: No. Default value.
    InstanceId string
    Instance ID.
    IpLists List<string>
    List of IP addresses and IP ranges included in the allowlist. Returned when the WithIpList request parameter is set to true; returns null when set to false or not specified.
    ModifyMode string
    Modification method. Available values: Cover (default): Overwrite the original allowlist with the values from the AllowList parameter. Append: Add the IP addresses entered in the AllowList parameter to the original allowlist. Delete: Remove the IP addresses entered in the AllowList parameter from the original allowlist. At least one IP address must remain.
    ProjectName string
    Project. Note: If the AK/SK used to call the API belongs to a sub-account that only has permission for a specific project, you need to provide this request parameter.
    SecurityGroupBindInfos List<Byteplus.GetAllowListSecurityGroupBindInfo>
    Information about the security group associated with the allowlist. Note: This field cannot be used together with SecurityGroupIds.
    SecurityGroupIds List<string>
    List of security group IDs to associate. Note: You can call the DescribeSecurityGroups API to query security group information, including security group IDs. A single allowlist can add up to 10 security groups at a time. This field cannot be used together with SecurityGroupBindInfos.
    UpdateSecurityGroup bool
    Whether to update the security group bound to the allowlist. true: update. false: do not update. Default value. This field is effective only when the allowlist is already bound to a security group. You can call the DescribeAllowLists API to check if the allowlist is bound to a security group.
    UserAllowLists List<string>
    IP addresses entered by the user in this list. The IPs in the AllowList field are the union of IPs included in UserAllowList and SecurityGroupBindInfos.
    AllowListCategory string
    Allowlist category. Values: Ordinary: Ordinary allowlist. Default: Default allowlist. Note: When used as a request parameter, the default value is Ordinary.
    AllowListDesc string
    Allowlist remarks.
    AllowListId string
    Allowlist ID.
    AllowListIpNum int
    Total number of IP addresses (or ranges) in the allowlist.
    AllowListName string
    Allowlist name.
    AllowListType string
    IP address types in the allowlist. Only IPv4 addresses are currently supported.
    AllowLists []string
    IP address list in the allowlist
    AssociatedInstanceNum int
    Total number of instances bound to the allowlist.
    AssociatedInstances []GetAllowListAssociatedInstance
    Instance information bound to the current allowlist.
    Id string
    Uniquely identifies the resource.
    IgnoreInstanceStatus bool
    Ignore instance status check. Values: true: Yes. false: No. Default value.
    InstanceId string
    Instance ID.
    IpLists []string
    List of IP addresses and IP ranges included in the allowlist. Returned when the WithIpList request parameter is set to true; returns null when set to false or not specified.
    ModifyMode string
    Modification method. Available values: Cover (default): Overwrite the original allowlist with the values from the AllowList parameter. Append: Add the IP addresses entered in the AllowList parameter to the original allowlist. Delete: Remove the IP addresses entered in the AllowList parameter from the original allowlist. At least one IP address must remain.
    ProjectName string
    Project. Note: If the AK/SK used to call the API belongs to a sub-account that only has permission for a specific project, you need to provide this request parameter.
    SecurityGroupBindInfos []GetAllowListSecurityGroupBindInfo
    Information about the security group associated with the allowlist. Note: This field cannot be used together with SecurityGroupIds.
    SecurityGroupIds []string
    List of security group IDs to associate. Note: You can call the DescribeSecurityGroups API to query security group information, including security group IDs. A single allowlist can add up to 10 security groups at a time. This field cannot be used together with SecurityGroupBindInfos.
    UpdateSecurityGroup bool
    Whether to update the security group bound to the allowlist. true: update. false: do not update. Default value. This field is effective only when the allowlist is already bound to a security group. You can call the DescribeAllowLists API to check if the allowlist is bound to a security group.
    UserAllowLists []string
    IP addresses entered by the user in this list. The IPs in the AllowList field are the union of IPs included in UserAllowList and SecurityGroupBindInfos.
    allowListCategory String
    Allowlist category. Values: Ordinary: Ordinary allowlist. Default: Default allowlist. Note: When used as a request parameter, the default value is Ordinary.
    allowListDesc String
    Allowlist remarks.
    allowListId String
    Allowlist ID.
    allowListIpNum Integer
    Total number of IP addresses (or ranges) in the allowlist.
    allowListName String
    Allowlist name.
    allowListType String
    IP address types in the allowlist. Only IPv4 addresses are currently supported.
    allowLists List<String>
    IP address list in the allowlist
    associatedInstanceNum Integer
    Total number of instances bound to the allowlist.
    associatedInstances List<GetAllowListAssociatedInstance>
    Instance information bound to the current allowlist.
    id String
    Uniquely identifies the resource.
    ignoreInstanceStatus Boolean
    Ignore instance status check. Values: true: Yes. false: No. Default value.
    instanceId String
    Instance ID.
    ipLists List<String>
    List of IP addresses and IP ranges included in the allowlist. Returned when the WithIpList request parameter is set to true; returns null when set to false or not specified.
    modifyMode String
    Modification method. Available values: Cover (default): Overwrite the original allowlist with the values from the AllowList parameter. Append: Add the IP addresses entered in the AllowList parameter to the original allowlist. Delete: Remove the IP addresses entered in the AllowList parameter from the original allowlist. At least one IP address must remain.
    projectName String
    Project. Note: If the AK/SK used to call the API belongs to a sub-account that only has permission for a specific project, you need to provide this request parameter.
    securityGroupBindInfos List<GetAllowListSecurityGroupBindInfo>
    Information about the security group associated with the allowlist. Note: This field cannot be used together with SecurityGroupIds.
    securityGroupIds List<String>
    List of security group IDs to associate. Note: You can call the DescribeSecurityGroups API to query security group information, including security group IDs. A single allowlist can add up to 10 security groups at a time. This field cannot be used together with SecurityGroupBindInfos.
    updateSecurityGroup Boolean
    Whether to update the security group bound to the allowlist. true: update. false: do not update. Default value. This field is effective only when the allowlist is already bound to a security group. You can call the DescribeAllowLists API to check if the allowlist is bound to a security group.
    userAllowLists List<String>
    IP addresses entered by the user in this list. The IPs in the AllowList field are the union of IPs included in UserAllowList and SecurityGroupBindInfos.
    allowListCategory string
    Allowlist category. Values: Ordinary: Ordinary allowlist. Default: Default allowlist. Note: When used as a request parameter, the default value is Ordinary.
    allowListDesc string
    Allowlist remarks.
    allowListId string
    Allowlist ID.
    allowListIpNum number
    Total number of IP addresses (or ranges) in the allowlist.
    allowListName string
    Allowlist name.
    allowListType string
    IP address types in the allowlist. Only IPv4 addresses are currently supported.
    allowLists string[]
    IP address list in the allowlist
    associatedInstanceNum number
    Total number of instances bound to the allowlist.
    associatedInstances GetAllowListAssociatedInstance[]
    Instance information bound to the current allowlist.
    id string
    Uniquely identifies the resource.
    ignoreInstanceStatus boolean
    Ignore instance status check. Values: true: Yes. false: No. Default value.
    instanceId string
    Instance ID.
    ipLists string[]
    List of IP addresses and IP ranges included in the allowlist. Returned when the WithIpList request parameter is set to true; returns null when set to false or not specified.
    modifyMode string
    Modification method. Available values: Cover (default): Overwrite the original allowlist with the values from the AllowList parameter. Append: Add the IP addresses entered in the AllowList parameter to the original allowlist. Delete: Remove the IP addresses entered in the AllowList parameter from the original allowlist. At least one IP address must remain.
    projectName string
    Project. Note: If the AK/SK used to call the API belongs to a sub-account that only has permission for a specific project, you need to provide this request parameter.
    securityGroupBindInfos GetAllowListSecurityGroupBindInfo[]
    Information about the security group associated with the allowlist. Note: This field cannot be used together with SecurityGroupIds.
    securityGroupIds string[]
    List of security group IDs to associate. Note: You can call the DescribeSecurityGroups API to query security group information, including security group IDs. A single allowlist can add up to 10 security groups at a time. This field cannot be used together with SecurityGroupBindInfos.
    updateSecurityGroup boolean
    Whether to update the security group bound to the allowlist. true: update. false: do not update. Default value. This field is effective only when the allowlist is already bound to a security group. You can call the DescribeAllowLists API to check if the allowlist is bound to a security group.
    userAllowLists string[]
    IP addresses entered by the user in this list. The IPs in the AllowList field are the union of IPs included in UserAllowList and SecurityGroupBindInfos.
    allow_list_category str
    Allowlist category. Values: Ordinary: Ordinary allowlist. Default: Default allowlist. Note: When used as a request parameter, the default value is Ordinary.
    allow_list_desc str
    Allowlist remarks.
    allow_list_id str
    Allowlist ID.
    allow_list_ip_num int
    Total number of IP addresses (or ranges) in the allowlist.
    allow_list_name str
    Allowlist name.
    allow_list_type str
    IP address types in the allowlist. Only IPv4 addresses are currently supported.
    allow_lists Sequence[str]
    IP address list in the allowlist
    associated_instance_num int
    Total number of instances bound to the allowlist.
    associated_instances Sequence[GetAllowListAssociatedInstance]
    Instance information bound to the current allowlist.
    id str
    Uniquely identifies the resource.
    ignore_instance_status bool
    Ignore instance status check. Values: true: Yes. false: No. Default value.
    instance_id str
    Instance ID.
    ip_lists Sequence[str]
    List of IP addresses and IP ranges included in the allowlist. Returned when the WithIpList request parameter is set to true; returns null when set to false or not specified.
    modify_mode str
    Modification method. Available values: Cover (default): Overwrite the original allowlist with the values from the AllowList parameter. Append: Add the IP addresses entered in the AllowList parameter to the original allowlist. Delete: Remove the IP addresses entered in the AllowList parameter from the original allowlist. At least one IP address must remain.
    project_name str
    Project. Note: If the AK/SK used to call the API belongs to a sub-account that only has permission for a specific project, you need to provide this request parameter.
    security_group_bind_infos Sequence[GetAllowListSecurityGroupBindInfo]
    Information about the security group associated with the allowlist. Note: This field cannot be used together with SecurityGroupIds.
    security_group_ids Sequence[str]
    List of security group IDs to associate. Note: You can call the DescribeSecurityGroups API to query security group information, including security group IDs. A single allowlist can add up to 10 security groups at a time. This field cannot be used together with SecurityGroupBindInfos.
    update_security_group bool
    Whether to update the security group bound to the allowlist. true: update. false: do not update. Default value. This field is effective only when the allowlist is already bound to a security group. You can call the DescribeAllowLists API to check if the allowlist is bound to a security group.
    user_allow_lists Sequence[str]
    IP addresses entered by the user in this list. The IPs in the AllowList field are the union of IPs included in UserAllowList and SecurityGroupBindInfos.
    allowListCategory String
    Allowlist category. Values: Ordinary: Ordinary allowlist. Default: Default allowlist. Note: When used as a request parameter, the default value is Ordinary.
    allowListDesc String
    Allowlist remarks.
    allowListId String
    Allowlist ID.
    allowListIpNum Number
    Total number of IP addresses (or ranges) in the allowlist.
    allowListName String
    Allowlist name.
    allowListType String
    IP address types in the allowlist. Only IPv4 addresses are currently supported.
    allowLists List<String>
    IP address list in the allowlist
    associatedInstanceNum Number
    Total number of instances bound to the allowlist.
    associatedInstances List<Property Map>
    Instance information bound to the current allowlist.
    id String
    Uniquely identifies the resource.
    ignoreInstanceStatus Boolean
    Ignore instance status check. Values: true: Yes. false: No. Default value.
    instanceId String
    Instance ID.
    ipLists List<String>
    List of IP addresses and IP ranges included in the allowlist. Returned when the WithIpList request parameter is set to true; returns null when set to false or not specified.
    modifyMode String
    Modification method. Available values: Cover (default): Overwrite the original allowlist with the values from the AllowList parameter. Append: Add the IP addresses entered in the AllowList parameter to the original allowlist. Delete: Remove the IP addresses entered in the AllowList parameter from the original allowlist. At least one IP address must remain.
    projectName String
    Project. Note: If the AK/SK used to call the API belongs to a sub-account that only has permission for a specific project, you need to provide this request parameter.
    securityGroupBindInfos List<Property Map>
    Information about the security group associated with the allowlist. Note: This field cannot be used together with SecurityGroupIds.
    securityGroupIds List<String>
    List of security group IDs to associate. Note: You can call the DescribeSecurityGroups API to query security group information, including security group IDs. A single allowlist can add up to 10 security groups at a time. This field cannot be used together with SecurityGroupBindInfos.
    updateSecurityGroup Boolean
    Whether to update the security group bound to the allowlist. true: update. false: do not update. Default value. This field is effective only when the allowlist is already bound to a security group. You can call the DescribeAllowLists API to check if the allowlist is bound to a security group.
    userAllowLists List<String>
    IP addresses entered by the user in this list. The IPs in the AllowList field are the union of IPs included in UserAllowList and SecurityGroupBindInfos.

    Supporting Types

    GetAllowListAssociatedInstance

    InstanceId string
    Instance ID bound to the current allowlist.
    InstanceName string
    Instance name bound to the current allowlist.
    InstanceStatus string
    Instance status.
    IsLatest bool
    Has the latest allowlist been synchronized? Values: true: Yes. false: No. Note: When modifying the allowlist, if the instance is not running, changes to the allowlist will not be immediately synchronized to the instance.
    Vpc string
    Private network ID of the instance.
    InstanceId string
    Instance ID bound to the current allowlist.
    InstanceName string
    Instance name bound to the current allowlist.
    InstanceStatus string
    Instance status.
    IsLatest bool
    Has the latest allowlist been synchronized? Values: true: Yes. false: No. Note: When modifying the allowlist, if the instance is not running, changes to the allowlist will not be immediately synchronized to the instance.
    Vpc string
    Private network ID of the instance.
    instanceId String
    Instance ID bound to the current allowlist.
    instanceName String
    Instance name bound to the current allowlist.
    instanceStatus String
    Instance status.
    isLatest Boolean
    Has the latest allowlist been synchronized? Values: true: Yes. false: No. Note: When modifying the allowlist, if the instance is not running, changes to the allowlist will not be immediately synchronized to the instance.
    vpc String
    Private network ID of the instance.
    instanceId string
    Instance ID bound to the current allowlist.
    instanceName string
    Instance name bound to the current allowlist.
    instanceStatus string
    Instance status.
    isLatest boolean
    Has the latest allowlist been synchronized? Values: true: Yes. false: No. Note: When modifying the allowlist, if the instance is not running, changes to the allowlist will not be immediately synchronized to the instance.
    vpc string
    Private network ID of the instance.
    instance_id str
    Instance ID bound to the current allowlist.
    instance_name str
    Instance name bound to the current allowlist.
    instance_status str
    Instance status.
    is_latest bool
    Has the latest allowlist been synchronized? Values: true: Yes. false: No. Note: When modifying the allowlist, if the instance is not running, changes to the allowlist will not be immediately synchronized to the instance.
    vpc str
    Private network ID of the instance.
    instanceId String
    Instance ID bound to the current allowlist.
    instanceName String
    Instance name bound to the current allowlist.
    instanceStatus String
    Instance status.
    isLatest Boolean
    Has the latest allowlist been synchronized? Values: true: Yes. false: No. Note: When modifying the allowlist, if the instance is not running, changes to the allowlist will not be immediately synchronized to the instance.
    vpc String
    Private network ID of the instance.

    GetAllowListSecurityGroupBindInfo

    BindMode string
    Mode for associating security groups. Values: IngressDirectionIp: Inbound IP. AssociateEcsIp: Associate ECS IP. Note: In the CreateAllowList API, the BindMode and SecurityGroupId fields of SecurityGroupBindInfoObject are required.
    IpLists List<string>
    Security group IP address list.
    SecurityGroupId string
    Security group ID.
    SecurityGroupName string
    Security group name.
    BindMode string
    Mode for associating security groups. Values: IngressDirectionIp: Inbound IP. AssociateEcsIp: Associate ECS IP. Note: In the CreateAllowList API, the BindMode and SecurityGroupId fields of SecurityGroupBindInfoObject are required.
    IpLists []string
    Security group IP address list.
    SecurityGroupId string
    Security group ID.
    SecurityGroupName string
    Security group name.
    bindMode String
    Mode for associating security groups. Values: IngressDirectionIp: Inbound IP. AssociateEcsIp: Associate ECS IP. Note: In the CreateAllowList API, the BindMode and SecurityGroupId fields of SecurityGroupBindInfoObject are required.
    ipLists List<String>
    Security group IP address list.
    securityGroupId String
    Security group ID.
    securityGroupName String
    Security group name.
    bindMode string
    Mode for associating security groups. Values: IngressDirectionIp: Inbound IP. AssociateEcsIp: Associate ECS IP. Note: In the CreateAllowList API, the BindMode and SecurityGroupId fields of SecurityGroupBindInfoObject are required.
    ipLists string[]
    Security group IP address list.
    securityGroupId string
    Security group ID.
    securityGroupName string
    Security group name.
    bind_mode str
    Mode for associating security groups. Values: IngressDirectionIp: Inbound IP. AssociateEcsIp: Associate ECS IP. Note: In the CreateAllowList API, the BindMode and SecurityGroupId fields of SecurityGroupBindInfoObject are required.
    ip_lists Sequence[str]
    Security group IP address list.
    security_group_id str
    Security group ID.
    security_group_name str
    Security group name.
    bindMode String
    Mode for associating security groups. Values: IngressDirectionIp: Inbound IP. AssociateEcsIp: Associate ECS IP. Note: In the CreateAllowList API, the BindMode and SecurityGroupId fields of SecurityGroupBindInfoObject are required.
    ipLists List<String>
    Security group IP address list.
    securityGroupId String
    Security group ID.
    securityGroupName String
    Security group name.

    Package Details

    Repository
    bytepluscc byteplus-sdk/pulumi-bytepluscc
    License
    MPL-2.0
    Notes
    This Pulumi package is based on the bytepluscc Terraform Provider.
    bytepluscc logo
    Viewing docs for bytepluscc v0.0.25
    published on Thursday, May 7, 2026 by Byteplus
      Try Pulumi Cloud free. Your team will thank you.